Commit Diff
Diff:
ccc899c7f4751ba72dcd7330c55614cf986f0fa3
a1ce3fc779c66f1febcc4c861cfd593a1ab48002
Commit:
a1ce3fc779c66f1febcc4c861cfd593a1ab48002
Tree:
e0ed74bff848bd624fcb78da5b8acacb1c85358f
Author:
Alexander Barton <alex@barton.de>
Committer:
Alexander Barton <alex@barton.de>
Date:
Wed Aug 26 22:10:18 2015 UTC
Message:
ngircd.init: Fix non-POSIX "==" test operator
blob - 5c8c46cab82341f20f3d02a20449299db98911f5
blob + 8127e8fddef192ca57a46f7f6a7f26010193eb60
--- contrib/Debian/ngircd.init
+++ contrib/Debian/ngircd.init
@@ -1,7 +1,7 @@
#!/bin/sh
#
# ngIRCd start and stop script for Debian-based systems
-# Copyright 2008-2013 Alexander Barton <alex@barton.de>
+# Copyright 2008-2015 Alexander Barton <alex@barton.de>
#
### BEGIN INIT INFO
@@ -37,7 +37,7 @@ log_daemon_msg() {
echo -n "$*"
}
log_end_msg() {
- [ "$1" == "0" ] && echo "." || echo " failed!"
+ [ "$1" = "0" ] && echo "." || echo " failed!"
}
log_failure_msg() {
echo "$*"
IRCNow